/*!
 * Copyright (c) 2021 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Christopher Guindon <chris.guindon@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
 */

import 'eclipsefdn-solstice-assets'

const renderTutorialPlaylist = async () => {
  const tutorialContainerElement = document.querySelector('.tutorials-section-video-container');

  if (!tutorialContainerElement) return;
  
  try { 
    const response = await fetch('https://api.eclipse.org/media/youtube/videos/q458r3cPwsE');
    const playlist = await response.json();

    tutorialContainerElement.innerHTML = playlist.player.embed_html;

  } catch (error) {
    tutorialContainerElement.innerHTML = '<p>Unable to load playlist</p>';
  }
}

renderTutorialPlaylist();
